Register to post in forums, or Log in to your existing account
 

Play RetroMUD
Post new topic  Reply to topic     Home » Forums » CMUD General Discussion
ragautier
Beginner


Joined: 11 Aug 2007
Posts: 29

PostPosted: Tue Aug 21, 2007 1:09 pm   

Package posting problem...XML error...HELP?
 
I created a package and saved it up to the package library -
but when I try to install it from the package library, I get the following error:
File: . Line: 726 Col: 1 Error: There is invalid data after valid XML document

The Line number has changed as I've added and removed triggers..
If I try to open the package, its empty.

Please help - I want to share this package with everyone who uses my MUD.[/img]
Reply with quote
Zugg
MASTER


Joined: 25 Sep 2000
Posts: 23377
Location: Colorado, USA

PostPosted: Tue Aug 21, 2007 5:09 pm   
 
There are some bugs in the 1.34 version dealing with the XML import/export that is used for the package library. This should be fixed in v2.0.
Reply with quote
ragautier
Beginner


Joined: 11 Aug 2007
Posts: 29

PostPosted: Tue Aug 21, 2007 7:22 pm   Is there a schedule for version 2? Or is there a workaround?
 
Do you have a workaround I can use until version 2.0 comes out?
I'd really like to share these scripts with my users.
Would using version 1.32 fix this?
Is there an expected date for 2.0?
Reply with quote
Fang Xianfu
GURU


Joined: 26 Jan 2004
Posts: 5155
Location: United Kingdom

PostPosted: Tue Aug 21, 2007 7:29 pm   
 
2.0 is expected to be out within a week.

Until then, you could upload the actual .pkg somewhere (yousendit.com, googlepages, whatever) and have them download it.
_________________
Rorso's syntax colouriser.

- Happy bunny is happy! (1/25)
Reply with quote
Zugg
MASTER


Joined: 25 Sep 2000
Posts: 23377
Location: Colorado, USA

PostPosted: Thu Aug 23, 2007 8:42 pm   
 
Btw, please tell me what Package Name you were trying to download so that I can make sure this specific package is fixed in 2.0.
Reply with quote
ragautier
Beginner


Joined: 11 Aug 2007
Posts: 29

PostPosted: Fri Aug 24, 2007 1:30 am   Package to Test
 
Fullpint's FoxMud Follies is the name of the package - it's ver .4 in the Library, currently
Reply with quote
Zugg
MASTER


Joined: 25 Sep 2000
Posts: 23377
Location: Colorado, USA

PostPosted: Fri Aug 24, 2007 5:01 pm   
 
OK, thanks. Looks like I fixed the error report, but it's still loading as a blank package, so I'll look into this today.

Edited: OK, I found the problem. Looks like any package that contained multiple windows or modules couldn't be downloaded. The package stored on the server is fine, so you don't need to upload it again. But v2.0 will properly download it now.
Reply with quote
Display posts from previous:   
Post new topic   Reply to topic     Home » Forums » CMUD General Discussion All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum

© 2009 Zugg Software. Hosted by Wolfpaw.net